controllers/DibujantesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Dibujantes;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * DibujantesController implements the CRUD actions for Dibujantes model.
 */
class DibujantesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Dibujantes models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Dibujantes::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Dibujantes model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Dibujantes model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Dibujantes();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['site/mostrardibujantes', 'id' => $model->codigo]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Dibujantes model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['site/mostrardibujantes', 'id' => $model->codigo]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Dibujantes model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['site/mostrardibujantes']);
    }

    /**
     * Finds the Dibujantes model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Dibujantes the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Dibujantes::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/EditorialesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Editoriales;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EditorialesController implements the CRUD actions for Editoriales model.
 */
class EditorialesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Editoriales models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Editoriales::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Editoriales model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Editoriales model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Editoriales();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['site/mostrareditoriales', 'id' => $model->codigo]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Editoriales model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['site/mostrareditoriales', 'id' => $model->codigo]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Editoriales model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['site/mostrareditoriales']);
    }

    /**
     * Finds the Editoriales model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Editoriales the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Editoriales::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Comics;
use app\models\Establecimientos;
use app\models\Dibujantes;
use app\models\Editoriales;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    

    
    
    public function actionMostrardibujantes(){      //esta acción recibe como parámetro los dibujantes y los muestra
        $dataProvider=new ActiveDataProvider([
            'query'=> Dibujantes::find(),           //con esta consulta hacemos que nos muestre todos los dibujantes
           
                ]);
                return $this->render("dibujantes",[    //renderizo en en el archivo php "dibujantes"
                    
                    "dataProvider"=>$dataProvider,
            ]);
    }
    public function actionMostrareditoriales(){     //esta acción recibe como parámetro las editoriales y los muestra
        $dataProvider=new ActiveDataProvider([
            'query'=>Editoriales::find(),            //con esta consulta hacemos que nos muestre todos los editoriales
            
           
                ]);
                return $this->render("editoriales",[  //renderizo en en el archivo php "editoriales"
                    
                    "dataProvider"=>$dataProvider,
            ]);
    }
}

views/site/_dibujante.php
<?php

use yii\helpers\Html;


$this->title = "Dibujantes ";  //ponemos el titulo que aparece en el head
?>

<div class="caja">
    <div class="col-md-12">
        <!--        con col-md modulamos en que tipo de formato lo queremos-->
        <div class="thumbnail">
          <?=Html::img($model->foto) ?>  
            <div class="caption">
                <h3><?= $model->nombre?> <?= $model->apellido?></h3>
                <!--  pongo el dato procedente del modelo al que procede en este caso al de los dibujantes    -->
                <p><?= $model->biografia ?> </p>
      <?= Html::a('Actualizar', ['dibujantes/update', 'id' => $model->codigo], ['class' => 'btn btn-primary']) ?>
                     <?= Html::a('Eliminar', ['dibujantes/delete', 'id' => $model->codigo], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Estás seguro de querer borrar este elemento?',
                'method' => 'post',
            ],//en los botones de actualizar eliminar ponemos "dibujantes/update" y "dibujantes/delete" y especificamos el botón. Para enlazarlos con los archivos php que realizan estas acciones, eso si en las views correspondientes
                                //al ser comics necesita la id con la que se identifica, en este caso código
        ]) ?>       
            </div>
        </div>
    </div>
</div>

views/site/_editorial.php
<?php

use yii\helpers\Html;

$this->title = "Editoriales";   //ponemos el titulo que aparece en el head
?>

<div class="caja">
    <div class="col-md-12">    
        <!--        con col-md modulamos en que tipo de formato lo queremos-->
        <div class="thumbnail">

            <div class="caption">
                <?=Html::img($model->logotipo) ?>
                <h3><?= $model->nombre ?></h3>
                <!--  pongo el dato procedente del modelo al que procede en este caso al de la editorial    -->
                <p><?= $model->descripción?> </p>
                <?= Html::a('Actualizar', ['editoriales/update', 'id' => $model->codigo], ['class' => 'btn btn-primary']) ?>
                <?=
                Html::a('Eliminar', ['editoriales/delete', 'id' => $model->codigo], [
                    'class' => 'btn btn-danger',
                    'data' => [
                        'confirm' => '¿Estás seguro de querer borrar este elemento?',
                        'method' => 'post',
                    //en los botones de actualizar eliminar ponemos "editoriales/update" y "editoriales/delete" y especificamos el botón. Para enlazarlos con los archivos php que realizan estas acciones, eso si en las views correspondientes
                    //al ser comics necesita la id con la que se identifica, en este caso código
                    ],
                ])
                ?>       
            </div>
        </div>
    </div>
</div>

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'Sobre nosotros';

?>
<div class="site-about">
   
   <div class="cuadrado_about">  
         <?= Html::img('@web/images/logo.png', ['class' => 'logotipo_about']) ?>
        <div class="titulo_about">ComicList</div>
        <div class="parrafo_about">ComicList es una aplicación a partir de una iniciativa promovida por editoriales de comics y sus empresas distribuidoras de comics. Necesitaban una aplicación 
            en la cual los lectores 
            habituales de comics pudieran valorar, incluir y modificar información sobre comics
            y todo lo relacionado con ello. Asi tanto las editoriales y sus distribuidoras tendrían una opinión veraz de sus comics. </div>
    </div>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/dibujantes.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="DIBUJANTES";   //ponemos el titulo que aparece en el head
?>


<h2 style="text-align: center; max-height: 50px;"><?= $titulo ?></h2>
<div class="linea_recta"></div>
<div class="texto_titulo">En esta sección podreís visualizar la información de todos las dibujantes de los comics, también teneis la opción de incluir vuestras propias sugerencias incluyendo los datos de os dibujantes que querais, para compartirlo con el resto de usuarios.</div>
<p>
    
    <?=Html::a('Introducir nuevo dibujante',['dibujantes/create'],['class' => 'btn btn-warning'])?>
</p>


<div class="row">
    <?= ListView::widget([                //con esta parte de código cambiamos la vista de un Grid View a un ListView
       'dataProvider' => $dataProvider,
        'itemView'=>'_dibujante',         // vinculamos este archivo php con otro
        'layout'=>"{pager}\n{items}",
        
        
        
    ]);
   ?>   
    
</div>

views/site/editoriales.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;

$titulo = "EDITORIALES";
?>

<h2 style="text-align: center; max-height: 50px; color=#330066"><?= $titulo ?></h2>
<div class="linea_recta"></div>
<div class="texto_titulo">En esta sección podreís visualizar la informción de todas las editoriales, también teneis la opción de incluir vuestras propias sugerencias incluyendo la editorial que querais, para compartirlo con el resto de usuarios.</div>

<p>

<?= Html::a('Introducir nueva editorial', ['editoriales/create'], ['class' => 'btn btn-warning']) ?>
</p>


<div class="row">
    <?=
    ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView' => '_editorial',
        'layout' => "{pager}\n{items}",
    ]);
    ?>   

</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */

$this->title = 'ComicList';  //ponemos el titulo de la página de inicio
// aqui modificamos el aspecto de la página principal
?>
<div class="site-index">
    <div class="cuadrado">
        <div><?= Html::img('@web/images/34053.jpg', ['class' => 'logo']) ?></div>
        <div class="texto_cuadrado">
            <p class="parrafo_cuadrado">Mira toda la información que te ofrece ComicList</p>
        </div>
    </div>  
    <div class="cuadrado2">
        <div class="c"><div class="linea_separadora">
                <div class="linea_separadora2"><div class="linea_separadora3"><div class="linea_separadora4"></div></div></div>  
            </div>  
        </div>
        <div class="texto_linea"><p class="novedades">NOVEDADES</p></div>
        <div class="celda1">
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <?= Html::img('@web/images/novedades1.jpg', ['class' => 'novedades1']) ?>
                    <div class="caption">
                        <h3 class="titulo1">Marvel Integral. Capitán América: El soldado de invierno</h3>
                        <p class="parrafo1">Reimpresión: Marvel Integral. Capitán América: El soldado de invierno.El tomo ya está de nuevo disponible en tu librería de referencia y en nuestra web.</p>
                        <p><a href="https://www.panini.es/shp_esp_es/marvel-integral-capit-n-am-rica-el-soldado-de-invierno-smain001-es01.html" class="btn btn-primary" role="button">Acceder a Panini Comics</a></p>
                    </div>
                </div>
            </div>
        </div> 
        <div class="celda2">
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <?= Html::img('@web/images/novedades2.jpg', ['class' => 'novedades2']) ?>
                    <div class="caption">
                        <h3 class="titulo2">Las Tortugas Ninja: Avance Editorial 2021</h3>
                        <p class="parrafo2">La Tortugamanía ha llegado para quedarse. Además de los títulos en curso, en el segundo semestre del año publicaremos la esperada miniserie Las Tortugas Ninja: El último Ronin y el especial Las Tortugas Ninja de Richard Corben.</p>
                        <p><a href="https://www.ecccomics.com/contenidos/las-tortugas-ninja-avance-editorial-2021-12233.aspx" class="btn btn-primary" role="button">Acceder a ECC Comics</a></p>
                    </div>
                </div>
            </div>
        </div>
        <div class="celda3">
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <?= Html::img('@web/images/novedades3.jpg', ['class' => 'novedades3']) ?>
                    <div class="caption">
                        <h3 class="titulo3">Marvel Comics: 60 años de superhéroes</h3>
                        <p class="parrafo3">Con una exposición llena de rarezas, la Casa de América y el festival de cómics de Múnich celebran el 60 aniversario de Marvel, la editorial de cómics de culto de Estados Unidos.</p>
                        <p><a href="https://www.dw.com/es/marvel-comics-60-a%C3%B1os-de-superh%C3%A9roes/a-57745947" class="btn btn-primary" role="button">Accede a DW</a> </p>
                    </div>
                </div>
            </div>
        </div> 
        <div class="celda4">
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <?= Html::img('@web/images/novedades4.jpg', ['class' => 'novedades4']) ?>
                    <div class="caption">
                        <h3 class="titulo4">Marvel Comics revela una nueva serie de Hulk que promete elevar el nivel de destrucción</h3>
                        <p class="parrafo4">Tras la noticia de que Venom tendrá una nueva serie que continuará su historia en noviembre, Marvel Comics también ha revelado una nueva serie de comics para Hulk. Resulta que el actual guionista de Immortal Hulk, Al Ewing, y el guionista de Venom, Donny Cates, cambiar...</p>
                        <p><a href="https://es.ign.com/marvel-comics/173710/news/marvel-comics-revela-una-nueva-serie-de-hulk-que-promete-elevar-el-nivel-de-destruccion" class="btn btn-primary" role="button">Accede a IGN España</a>
                    </div>
                </div>
            </div>
            <div class="celda5">
                <div class="col-sm-6 col-md-4">
                    <div class="thumbnail">
                        <?= Html::img('@web/images/novedades5.jpg', ['class' => 'novedades5']) ?>
                        <div class="caption">
                            <h3 class="titulo5">DC Comics revive Fábulas con ¡Batman vs. Bigby! Un lobo en Gotham, y luego continuará donde lo dejaron en 2015</h3>
                            <p class="parrafo5">Han pasado casi 20 años desde que DC Comics lanzó por primera vez Fábulas. </p>
                            <p><a href="https://es.ign.com/dc-comics/173899/news/dc-comics-revive-fabulas-con-batman-vs-bigby-un-lobo-en-gotham-y-luego-continuara-donde-lo-dejaron-e" class="btn btn-primary" role="button">Accede a IGN España</a></p>
                        </div>
                    </div>
                </div>     
            </div>     
        </div> 
        <div class="celda6">
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <?= Html::img('@web/images/novedades6.png', ['class' => 'novedades6']) ?>
                    <div class="caption">
                        <h3 class="titulo6">ESTADO FUTURO: AVANCE EDITORIAL 2021</h3>
                        <p class="parrafo6">La nueva fase del Universo DC llega este septiembre. Una alineación estelar de escritores y dibujantes nos presentarán a los superhéroes DC del futuro y a nuevos supervillanos en este evento de dos meses de duración.</p>
                        <p><a href="https://www.ecccomics.com/contenidos/estado-futuro-avance-editorial-2021-12238.aspx" class="btn btn-primary" role="button">Accede a ECC Comics</a></p>
                    </div>
                </div>
            </div>
        </div> 
    </div>
    <div class="cuadrado3">
        <p class="parrafo_cuadrado3">Ahora podrás tener acceso a las páginas web de nuestros patrocinadores</p>
        <a href="https://www.panini.es/">
            <?= Html::img('@web/images/panini.png', ['class' => 'panini']) ?>
        </a>
        <a href="https://www.dccomics.com/">
            <?= Html::img('@web/images/dc.png', ['class' => 'dc']) ?>
        </a>
        <a href="https://www.idwpublishing.com/">
            <?= Html::img('@web/images/idw.png', ['class' => 'idw']) ?>
        </a>
        <a href="https://www.marvel.com/">
            <?= Html::img('@web/images/marvel.png', ['class' => 'marvel']) ?>
        </a>
        <a href="https://www.normacomics.com/">
            <?= Html::img('@web/images/norma.png', ['class' => 'norma']) ?>
        </a>
        <a href="https://imagecomics.com/">
            <?= Html::img('@web/images/image.png', ['class' => 'image']) ?>
        </a>
        <a href="https://www.ecccomics.com/">
            <?= Html::img('@web/images/ecc.jpg', ['class' => 'ecc']) ?>
        </a>
    </div>



</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="col-lg-offset-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>